# You can place the script of your game in this file.



init:
    # Declare images below this line, using the image statement.
    image yellow = "#ccff00"
    image j = "Jasper2.png"
    image a = "Augustus.png"
    image athink = "Augustusthink.png"
    image ahappy = "Augustushappy.png"
    image jsad = "Jaspersad.png"
    image jmad = "Jaspermad.png"
    image black = "#000000"
    image i = "Irys.png"
    image iv = "Irysv.png"
    image imad = "Irysmad.png"
    image isad = "Iryssad.png"
    image b = "bloo.png"
    image bsad = "bloosad.png"
    image bmad = "bloomad.png"
    image f = "feather.png"
    image fmad = "feathermad.png"
    image fhappy = "featherhappy.png"
    image t = "turtle.png"
    image tsad = "turtlesad.png"
    image thinkt = im.Alpha("turtle.png", 0.5)
    image thinkb = im.Alpha("bloo.png", 0.5)
    image thinkf = im.Alpha("featherhappy.png", 0.5)
    image thinki = im.Alpha("Irysv.png", 0.5)
    image kitchen = "kitchen.png"
    image bloodoor = "bloodoor.png"
    image room = "couchroom.png"
    image rink = "icerink.png"
    image froom = "featherroom.jpg"
    image lroom = "leiroom.png"
    image skate = Animation("skatebg1.png", 0.25,
              "skatebg2.png", 0.25,
              "skatebg3.png", 0.25,
              "skatebg4.png", 0.25,
              "skatebg5.png", 0.25,
              "skatebg6.png", 0.25,
              "skatebg7.png", 0.25,
              "skatebg8.png", 0.25,
              "skatebg9.png", 10.0, xpos=400, ypos=380)
    image comp = "comp.jpg"
    image roomm = "modroom.jpg"
    image store = "storefront.jpg"
    image food = "food.jpg"
    image l = "lei.png"
    image lv = "leiv.png"
    image lsad = "leisad.png"
    image thinkl = im.Alpha("lei.png", 0.5)
    image bnote = "bnote.jpg"
    image fnote = "fnote.jpg"
    image tnote = "tnote.jpg"
    image tnote2 = "tnote2.jpg"
    image lnote1 = "lnote1.jpg"
    image lnote2 = "lnote2.jpg"
    image mnote = "mnote.jpg"
    image inote = "inote.jpg"
    image inote2 = "inote2.jpg"
    image m = "midnight.png"
    image mhappy = "midnighthappy.png"
    image mm = "midnightmad.png"
    image thinkm = im.Alpha("midnight.png", 0.5)
    image aphone = "Augustusphone.png"
    image bed = "augroom.jpg"
    image roofs = "roofs.jpg"
    image ik = "ikaiju.png"
    image iks = "ikaijusad.png"
    image ikm = "ikaijumad.png"
    image iku = "ikaijusurprised.png"
    image blr = "bloolr.jpg"
    image game = "baseball.jpg"
    image bim = "bim.png"
    image stage = "stage.png"
    image k2 = "kaiju2.png"
    image lki = "lki.jpg"
    image ms = "mschool.png"
    image kh = "khum.png"
    image khm = "khummad.png"
    
    $ notepos = Position(xpos=0.7, ypos=0.9)
    $ lpos = Position(xpos=0.2, ypos=1.04)
    $ rpos = Position(xpos=0.79, ypos=1.04)
    
    # Declare characters used by this game
    $ j = Character('Jasper', color="#00ffff", size=34, font="ter1.ttf", ctc=Animation("paw00.png", 0.1,
              "paw0.png", 0.1,
              "paw1.png", 0.1,
              "paw2.png", 0.1,
              "paw3.png", 0.1, xpos=755, ypos=550), ctc_position="fixed")
    $ a = Character('Augustus', color="#cc3300", size=34, font="ter1.ttf", ctc=Animation("1.png", 0.5, 
              "2.png", 0.5,
              "3.png", 0.5, xpos=755, ypos=550), ctc_position="fixed")
    $ i = Character('Irys', color="#ffcc00", size=34, font="ter1.ttf", ctc=anim.Filmstrip("starstrip.png", (30, 30), (5, 1), .3, xpos=755, ypos=550), ctc_position="fixed")
    $ b = Character('Blooper', color="#9933cc", size=34, font="ter1.ttf", ctc=anim.Filmstrip("pawstrip.png", (30, 30), (5, 1), .1, xpos=755, ypos=550), ctc_position="fixed")
    $ t = Character('Turtledove', color="#66ff99", size=34, font="ter1.ttf", ctc=anim.Filmstrip("turtlestrip.png", (30, 30), (5, 1), .2, xpos=755, ypos=550), ctc_position="fixed")
    $ f = Character('Feather', color="#996633", size=34, font="ter1.ttf", ctc=anim.Filmstrip("wingstrip.png", (30, 30), (5, 1), .1, xpos=755, ypos=550), ctc_position="fixed")
    $ l = Character('Lei', color="#ff99ff", size=34, font="ter1.ttf", ctc=anim.Filmstrip("leictc.png", (30, 30), (5, 1), .2, xpos=755, ypos=550), ctc_position="fixed")
    $ mi = Character('Midnight', color="#cccccc", size=34, font="ter1.ttf", ctc=anim.Filmstrip("mstrip.png", (30, 30), (5, 1), .1, xpos=755, ypos=550), ctc_position="fixed")
    $ v = Character('voice', color="#ffffff", size=34, font="ter1.ttf")
    $ n = Character('nurse', color="#ffffff", size=34, font="ter1.ttf")
    $ k = Character('???', color="#b36e57", size=34, font="ter1.ttf")
    $ k2 = Character('Devon', color="#b36e57", size=34, font="ter1.ttf")

    $ animmenu = Animation("main5.png", 2.0, "main3.png", 2.5, "main4.png", 4.0, "main1.png", 4.0, "main2.png", 4.0)
    $ style.mm_root.background = animmenu 

    $ date = None
    python hide:
        def date_overlay():
            if date:
                ui.image(date + ".png", xpos=1.0, xanchor="right", ypos=0.0, yanchor="top")
        config.overlay_functions.append(date_overlay)

# The game starts here.
label start:
    $ bloo = False
    $ feather = False
    $ turtle = False
    $ lei = False
    $ irys = False
    $ m = False
    $ tt = False
    $ lei1 = False
    $ i1 = False
    $ i2 = False


    $ persistent.unlock_xi = False ##Irys's Extra Story: Monster Mayhem##
    $ persistent.unlock_xb = False ##Bloo's Extra Story: finding stuff for the audition.##
  
    $ persistent.unlock_xm = False ##Midnight's Extra Story: Music School Blues <???>##
    $ persistent.unlock_xl = False

    scene black
    with irisin
    scene black
    with irisout
    $ renpy.music.play('Pitx_-_Pentatonicing.ogg', fadein=10.0)
    $ renpy.pause(2.0)
    $ renpy.sound.play("phone.mp3")
    scene bed
    with pixellate
    a "...."
    scene black
    with pixellate
    scene bed
    with pixellate
    $ renpy.pause(1.0)
    $ renpy.sound.play("phone.mp3")
    a ". . .Great. . ."
    $ date = "a8"
    $ renpy.sound.play("phone.mp3")
    a "This early in the morning it couldn't be anyone else. . ."
    $ renpy.sound.stop
    a "Hello?"
    j "Hiii, Augustus!!!"
    j "Are you awake?"
    a "*sigh*"
    a "THINK about that question for a second, Jasper. Just THINK."
    j "...."
    j "Ohhh, sorry. Of course you're awake, how could I be talkin' to ya otherwise?"
    a "Well, I'm awake NOW anyway. . ."
    j "Soo. . .you busy later?"
    a "Not particularly."
    j "You hear about the game tonight?"
    a "Yeah, I heard it sold out completely."
    j "Well, duh!"
    j "The Devils are our biggest rival!"
    j "The Blue Sox won't lose again this year!"
    j "But, hey. . ."
    j ". . .I got season tickets, remember?"
    j "So we can go!!!"
    a "Good."
    a "It's this evening, right?"
    j "Yup."
    a "I've got a few chores to do, but I'll come over in a little bit."
    j "Sweet!"
    j "I haven't decided who else to ask yet, but I'll know by this evening."
    a "Okay, see you then."
    j "Later!"
    $ renpy.music.stop(fadeout=1.0)
    scene black
    with irisin
    $ renpy.pause(1.0)
    scene kitchen
    with irisout
    $ date = "a11"
    show a
    a "Trash, dishes, laundry. . .I guess that's it for-"
    $ renpy.sound.play("phone.mp3")
    $ renpy.pause(1.0)
    hide a
    show aphone
    $ renpy.music.play('skrolikowski_-_Drum_n_Key.ogg', loop=True)
    a "Hello?"
    $ renpy.sound.stop
    j "THEY'RE GONE!!!!!"
    a "Sheesh, Jasper, don't scream on the phone!"
    a "Now, what's wrong?"
    j "*Sniff*"
    j "The tickets. . .I left them on the counter, and now they're gone!!!"
    j "I JUST HAD THEM!!!"
    a "Calm down. . ."
    a "Where did you last see them?"
    j "Um. . ."
    j ". . .Thursday, after I bought them, I think. . ."
    a "Think about it for a bit, I'll be right over."
    $ renpy.music.stop(fadeout=1.7)
    $ date = None
    scene black
    with irisin
    $ renpy.pause(1.0)
    $ renpy.music.play('skywards.ogg', loop=True, tight=True)
    scene room
    with irisout
    $ date = "a11.5"
    show jmad at lpos
    show a at right
    a "I'm sorry about the tickets."
    a "Do you think you might've misplaced them?"
    j "I'm pretty sure I didn't."
    a "Where did you last see them?"
    hide jmad
    show jsad at lpos
    j "I put 'em on the kitchen counter last Thursday after I brought 'em home."
    a "Well, maybe we should look around again. . ."
    a "The game isn't until 7:30 PM. I'm sure we can find the tickets between now and then if we look."
    j "Yeah. . ."
    j "So, what were you saying before that?"
    hide a
    show athink at right
    a "Well. . ."
    jump look

    
    
    
    return

    